Permalink
Browse files

patch 8.0.1094: using ssh from Terminal.app runs into xterm incompati…

…bility

Problem:    Using ssh from Terminal.app runs into xterm incompatibility.
Solution:   Also detect Terminal.app on non-Mac systems.
  • Loading branch information...
brammool committed Sep 11, 2017
1 parent b4d5fba commit c212798333cab2239acd387725987f27c6d8a3f7
Showing with 4 additions and 2 deletions.
  1. +2 −2 src/term.c
  2. +2 −0 src/version.c
View
@@ -4566,12 +4566,12 @@ check_termcode(
/* Detect terminals that set $TERM to something like
* "xterm-256colors" but are not fully xterm
* compatible. */
# ifdef MACOS
/* Mac Terminal.app sends 1;95;0 */
if (version == 95
&& STRNCMP(tp + extra - 2, "1;95;0c", 7) == 0)
is_not_xterm = TRUE;
# endif
/* Gnome terminal sends 1;3801;0, 1;4402;0 or 1;2501;0.
* xfce4-terminal sends 1;2802;0.
* screen sends 83;40500;0
View
@@ -769,6 +769,8 @@ static char *(features[]) =
static int included_patches[] =
{ /* Add new patch number below this line */
/**/
1094,
/**/
1093,
/**/

0 comments on commit c212798

Please sign in to comment.